<?
$MESS["SC_SUBTITLE_DISK"] = "Проверка доступа к диску";
$MESS["SC_SUBTITLE_DISK_DESC"] = "Скрипты сайта должны иметь доступ на запись к файлам сайта. Это необходимо для работы модуля управления структурой сайта, загрузки файлов, а так же для работы системы обновлений, которая обновляет ядро сайта до последней версии.";
$MESS["SC_VER_ERR"] = "Установлена версия PHP #CUR#, требуется #REQ# и выше";
$MESS["SC_MOD_XML"] = "Поддержка XML";
$MESS["SC_MOD_PERL_REG"] = "Поддержка регулярных выражений (Perl-Compatible)";
$MESS["SC_MOD_GD"] = "Библиотека GD";
$MESS["SC_MOD_GD_JPEG"] = "Поддержка jpeg в GD";
$MESS["SC_MOD_JSON"] = "Поддержка JSON";
$MESS["SC_UPDATE_ACCESS"] = "Доступ к серверу обновлений";
$MESS["SC_UPDATE_ERROR"] = "Нет соединения с сервером обновлений";
$MESS["SC_TMP_FOLDER_PERMS"] = "Нет прав на запись во временную папку";
$MESS["SC_NO_TMP_FOLDER"] = "Временная папка не существует";
$MESS["ERR_NO_MODS"] = "Не установлены требуемые расширения:";
$MESS["ERR_NO_MODS_DOC_GENERATOR"] = "Для работы модуля &quot;Генератор документов&quot; необходимо установить расширения php-xml и php-zip.";
$MESS["SC_ERR_DNS"] = "Не удалось получить MX запись для домена #DOMAIN#";
$MESS["SC_ERR_DNS_WRONG"] = "DNS настроен неправильно, должна быть одна MX запись: mail-001.bitrix24.com (настроено: #DOMAIN#).";
$MESS["SC_ERR_CONNECT_MAIL001"] = "Не удалось подключиться к почтовому серверу mail-001.bitrix24.com";
$MESS["ERR_NO_SSL"] = "Поддержка ssl не настроена в php";
$MESS["SC_RUS_L1"] = "Обращение с сайта";
$MESS["SC_TIK_SEND_SUCCESS"] = "Сообщение успешно отправлено. Через некоторое время на адрес #EMAIL# должно прийти подтверждение получения сообщения от системы техподдержки.";
$MESS["SC_TIK_TITLE"] = "Отправить сообщение в службу техподдержки";
$MESS["SC_TIK_DESCR"] = "Описание проблемы";
$MESS["SC_TIK_DESCR_DESCR"] = "последовательность действий, которая привела к ошибке, описание ошибки,...";
$MESS["SC_TIK_LAST_ERROR"] = "Текст последней ошибки";
$MESS["SC_ERR_TEST_MAIL_PUSH"] = "Не удалось выполнить тестовое подключение к порталу #DOMAIN# с почтового сервера";
$MESS["SC_TIK_LAST_ERROR_ADD"] = "прикреплен";
$MESS["SC_TIK_SEND_MESS"] = "Отправить сообщение";
$MESS["SC_TAB_2"] = "Проверка доступа";
$MESS["SC_TAB_5"] = "Техподдержка";
$MESS["SC_ERROR0"] = "Ошибка!";
$MESS["SC_ERROR1"] = "Не работает";
$MESS["SC_CHECK_FILES"] = "Проверить доступ";
$MESS["SC_CHECK_FILES_WARNING"] = "Скрипт проверки файлов  может создавать значительную нагрузку на сервере.";
$MESS["SC_CHECK_FILES_ATTENTION"] = "Внимание!";
$MESS["SC_TEST_CONFIG"] = "Тестирование конфигурации";
$MESS["SC_TESTING"] = "Выполняется проверка...";
$MESS["SC_FILES_CHECKED"] = "Проверено файлов: <b>#NUM#</b><br>Текущий путь: <i>#PATH#</i>";
$MESS["SC_FILES_OK"] = "Все проверенные файлы и папки доступны для чтения и записи";
$MESS["SC_FILES_FAIL"] = "Недоступны для чтения или записи (показаны первые 10):";
$MESS["SC_SITE_CHARSET_FAIL"] = "Смешанные кодировки: UTF-8 и не UTF-8";
$MESS["SC_PATH_FAIL_SET"] = "Путь к корню сайта должен быть пустой, установлено:";
$MESS["SC_NO_ROOT_ACCESS"] = "Нет доступа к папке ";
$MESS["SC_SOCKET_F"] = "функции работы с сокетами";
$MESS["SC_CHECK_FULL"] = "Полная проверка";
$MESS["SC_CHECK_UPLOAD"] = "Проверка папки для загрузки файлов";
$MESS["SC_CHECK_KERNEL"] = "Проверка ядра";
$MESS["SC_CHECK_FOLDER"] = "Проверка папки";
$MESS["SC_CHECK_B"] = "Проверить";
$MESS["SC_STOP_B"] = "Остановить";
$MESS["SC_TEST_FAIL"] = "Ошибочный ответ сервера. Не удалось завершить тестирование";
$MESS["SC_START_TEST_B"] = "Начать тестирование";
$MESS["SC_STOP_TEST_B"] = "Остановить";
$MESS["SC_T_SOCK"] = "Работа с сокетами";
$MESS["SC_T_UPLOAD"] = "Загрузка файла";
$MESS["SC_T_UPLOAD_BIG"] = "Загрузка файла больше 4Мб";
$MESS["SC_T_UPLOAD_RAW"] = "Загрузка файла через php://input";
$MESS["SC_T_POST"] = "Передача POST запроса с большим числом параметров";
$MESS["SC_T_MAIL"] = "Отправка почты";
$MESS["SC_T_MAIL_BIG"] = "Отправка почтового сообщения больше 64Кб";
$MESS["SC_T_MAIL_B_EVENT"] = "Проверка на наличие неотправленных сообщений";
$MESS["SC_T_MAIL_B_EVENT_ERR"] = "Есть ошибки при отправке системных почтовых сообщений, число неотправленных сообщений:";
$MESS["SC_T_REDIRECT"] = "Внутреннее перенаправление (функция LocalRedirect)";
$MESS["SC_T_MEMORY"] = "Фактическое ограничение памяти";
$MESS["SC_T_SESS"] = "Сохранение сессии";
$MESS["SC_T_SESS_UA"] = "Сохранение сессии без UserAgent";
$MESS["SC_T_CACHE"] = "Работа с файлами кеша";
$MESS["SC_T_AUTH"] = "HTTP авторизация";
$MESS["SC_T_EXEC"] = "Создание и запуск файла";
$MESS["SC_T_DBCONN"] = "Лишний вывод в файлах конфигурации";
$MESS["SC_T_DBCONN_SETTINGS"] = "Параметры подключения к базе данных";
$MESS["SC_ERR_CONN_DIFFER"] = "Отличаются в .settings.php и dbconn.php.";
$MESS["SC_T_MYSQL_VER"] = "Версия MySQL-сервера";
$MESS["SC_T_TIME"] = "Время на БД и веб-сервере";
$MESS["SC_T_SQL_MODE"] = "Режим работы MySQL";
$MESS["SC_T_CHARSET"] = "Кодировки таблиц в БД";
$MESS["SC_T_STRUCTURE"] = "Структура базы данных";
$MESS["SC_DB_CHARSET"] = "Кодировка базы данных";
$MESS["SC_MBSTRING_NA"] = "Не удалось проверить из-за ошибок в настройке UTF";
$MESS["SC_CONNECTION_CHARSET"] = "Кодировка соединения";
$MESS["SC_TABLES_NEED_REPAIR"] = "Целостность таблиц нарушена, необходимо исправление.";
$MESS["SC_TABLE_ERR"] = "Ошибка на таблице #VAL#:";
$MESS["SC_T_CHECK"] = "Проверка таблиц";
$MESS["SC_TEST_SUCCESS"] = "Успешно";
$MESS["SC_SENT"] = "Отправлено. Время отправки:";
$MESS["SC_SEC"] = "сек.";
$MESS["SC_DB_ERR"] = "Проблемная версия БД:";
$MESS["SC_DB_ERR_MODE"] = "Переменная sql_mode в MySQL должна быть пустая, текущее значение:";
$MESS["SC_DB_ERR_INNODB_STRICT"] = "innodb_strict_mode=#VALUE#, требуется OFF";
$MESS["SC_NO_PROXY"] = "Нет соединения с прокси сервером";
$MESS["SC_PROXY_ERR_RESP"] = "Ошибочный ответ сервера обновлений через прокси";
$MESS["SC_UPDATE_ERR_RESP"] = "Ошибочный ответ сервера обновлений";
$MESS["SC_FILE_EXISTS"] = "Файл существует:";
$MESS["SC_WARN_SUHOSIN"] = "Загружен модуль suhosin, возможны проблемы в работе административной части (suhosin.simulation=#VAL#)";
$MESS["SC_WARN_SECURITY"] = "Загружен модуль mod_security, возможны проблемы в работе административной части";
$MESS["SC_WARN_DAV"] = "Загружен модуль mod_dav/mod_dav_fs, WebDav не будет работать";
$MESS["SC_DELIMITER_ERR"] = "Текущий разделитель: &quot;#VAL#&quot;, требуется &quot;.&quot;";
$MESS["SC_DB_MISC_CHARSET"] = "Кодировка таблицы &quot;#TABLE#&quot; (#VAL1#) отличается от кодировки базы (#VAL0#)";
$MESS["SC_COLLATE_WARN"] = "Сравнение для таблицы &quot;#TABLE#&quot; (#VAL1#) отличается от сравнения базы (#VAL0#)";
$MESS["SC_TABLE_BROKEN"] = "Таблица &quot;#TABLE#&quot; разрушена в результате внутренней ошибки MySQL. Автоматическое исправление создаст таблицу без данных.";
$MESS["SC_TABLE_CHARSET_WARN"] = "Кодировка поля &quot;#FIELD#&quot; таблицы &quot;#TABLE#&quot; (#VAL1#) отличается от кодировки базы (#VAL0#)";
$MESS["SC_FIELDS_COLLATE_WARN"] = "Сравнение поля &quot;#FIELD#&quot; таблицы &quot;#TABLE#&quot;  (#VAL1#) отличается от сравнения базы (#VAL0#)";
$MESS["SC_TABLE_SIZE_WARN"] = "Большой размер таблицы &quot;#TABLE#&quot; (#SIZE# M)";
$MESS["SC_NOT_LESS"] = "Не менее #VAL# М";
$MESS["SC_MEMORY_CHANGED"] = "Значение memory_limit было увеличено с #VAL0# до #VAL1# на момент тестирования через ini_set.";
$MESS["SC_CRON_WARN"] = "Определена константа BX_CRONTAB_SUPPORT в /bitrix/php_interface/dbconn.php, при этом должен быть настроен вызов агентов на cron.";
$MESS["SC_CACHED_EVENT_WARN"] = "Закеширована информация об отправке почты, возможно это произошло в результате сбоя, попробуйте очистить весь кеш.";
$MESS["SC_TIK_ADD_TEST"] = "Отправить журнал тестирования конфигурации";
$MESS["SC_SUPPORT_COMMENT"] = "В случае возникновения проблем с отправкой обращения, пожалуйста, воспользуйтесь формой на нашем сайте:";
$MESS["SC_NOT_FILLED"] = "Не введено описание проблемы";
$MESS["SC_TEST_WARN"] = "Сейчас будет собрана информация о конфигурации сервера.
Если произойдёт сбой, пожалуйста, снимите опцию \"Отправить журнал тестирования конфигурации\" и повторите попытку.";
$MESS["SC_SOCK_NA"] = "Не удалось проверить из-за ошибки в работе с сокетами";
$MESS["SC_T_CLONE"] = "Передача объектов по ссылке";
$MESS["SC_T_GETIMAGESIZE"] = "Функция getimagesize для swf";
$MESS["SC_TEST_DOMAIN_VALID"] = "Текущий домен не валидный (#VAL#). Может содержать только цифры, латинские буквы и дефис. Должен содержать точку.";
$MESS["SC_SWF_WARN"] = "Вставка swf роликов может не работать";
$MESS["SC_TIME_DIFF"] = "Время отличается на #VAL# секунд";
$MESS["SC_T_MODULES"] = "Наличие необходимых модулей php";
$MESS["SC_MOD_MBSTRING"] = "Поддержка mbstring";
$MESS["SC_MB_UTF"] = "Сайт работает в UTF кодировке";
$MESS["SC_MB_NOT_UTF"] = "Сайт работает в однобайтовой кодировке";
$MESS["SC_T_MBSTRING"] = "Параметры настройки UTF (mbstring и константа BX_UTF)";
$MESS["SC_T_SITES"] = "Настройки сайтов";
$MESS["SC_BX_UTF"] = "Необходимо установить в <i>/bitrix/php_interface/dbconn.php</i> код
<code>define('BX_UTF', true);</code> ";
$MESS["SC_BX_UTF_DISABLE"] = "Константа BX_UTF не должна быть установлена";
$MESS["SC_T_PHP"] = "Обязательные параметры PHP";
$MESS["SC_ERR_PHP_PARAM"] = "Параметр #PARAM# = #CUR#, требуется #REQ#";
$MESS["SC_MYSQL_ERR_VER"] = "Установлена MySQL версии #CUR#, требуется #REQ#";
$MESS["SC_T_SERVER"] = "Значения переменных сервера";
$MESS["SC_CONNECTION_CHARSET_WRONG"] = "Кодировка соединения с базой данных должна быть #VAL#, текущее значение: #VAL1#";
$MESS["SC_CONNECTION_CHARSET_WRONG_NOT_UTF"] = "Кодировка соединения с базой данных не должна быть utf8, текущее значение: #VAL#";
$MESS["SC_CONNECTION_COLLATION_WRONG_UTF"] = "Сравнение соединения с базой данных должно быть utf8_unicode_ci, текущее значение: #VAL#.";
$MESS["SC_TABLE_CHECK_NA"] = "Не проверено из-за ошибки кодировки базы";
$MESS["SC_TABLE_COLLATION_NA"] = "Не проверено из-за ошибок кодировки таблиц";
$MESS["SC_FIX"] = "Исправить";
$MESS["SC_FIX_DATABASE"] = "Исправление ошибок базы данных";
$MESS["SC_FIX_DATABASE_CONFIRM"] = "Будет выполнена попытка исправить ошибки базы данных. Эта операция потенциально опасна.

Перед запуском процесса рекомендуется сделать резервную копию. Копия готова, продолжить?";
$MESS["SC_ERR_NO_SETTINGS"] = "Не найден файл конфигурации /bitrix/.settings.php";
$MESS["SC_FIX_MBSTRING"] = "Исправление конфигурации";
$MESS["SC_FIX_MBSTRING_CONFIRM"] = "Внимание!

Будут изменены файлы конфигурации, в случае сбоя восстановить работу сайта можно будет только через панель хостинга. 

Продолжить?";
$MESS["SC_CHECK_TABLES_ERRORS"] = "Кодировки таблиц имеют ошибки, общее число ошибок: #VAL#, из них автоматически могут быть исправлены: #VAL1#.";
$MESS["SC_CONNECTION_CHARSET_NA"] = "Не удалось проверить из-за ошибки кодировки соединения";
$MESS["SC_DATABASE_COLLATION_DIFF"] = "Сравнение для базы (#VAL1#) отличается от сравнения для соединения (#VAL0#).";
$MESS["SC_DATABASE_CHARSET_DIFF"] = "Кодировка базы (#VAL1#) отличается от кодировки соединения (#VAL0#).";
$MESS["SC_HELP_NOTOPIC"] = "К сожалению, информации по данному вопросу нет.";
$MESS["SC_HELP_CHECK_INSTALL_SCRIPTS"] = "Иногда пользователи забывают удалять установочные скрипты после восстановления резервной копии или установки продукта (restore.php, bitrixsetup.php). Если пользователь проигнорировал ошибку автоматического удаления, оставленные служебные скрипты могут стать причиной взлома сайта, нужно их обязательно удалить вручную.";
$MESS["SC_HELP_CHECK_MAIL_PUSH"] = "Функция <a href=\"https://helpdesk.bitrix24.ru/open/1602367/\" target=_blank>публикации сообщений</a> в живую ленту из почты позволяет подключить к любому обсуждению или задаче пользователей, которые не имеют учетной записи в вашем портале.

Для корректной работы функции необходимо <a href=\"https://helpdesk.bitrix24.ru/open/8494909/\" target=_blank>настроить DNS для домена портала</a> и открыть доступ к порталу снаружи.";
$MESS["SC_HELP_CHECK_PHP_MODULES"] = "Проверяется доступность требуемых расширений для полноценной работы продукта. В случае ошибки выводится список модулей, которые недоступны.

Для решения проблемы необходимо обратиться к хостеру, а для локальной установки самостоятельно установить требуемые расширения на основе документации на сайте php.net";
$MESS["SC_HELP_CHECK_PHP_SETTINGS"] = "Проверяются критические значения параметров, определяемых в файле настроек php.ini. В случае ошибки выводится список параметров, которые настроены неправильно. Подробную информацию по каждому параметру можно найти на сайте php.net.

<a href=\"https://www.1c-bitrix.ru/products/vmbitrix/index.php\" target=_blank>Битрикс веб-окружение</a> - это оптимально сконфигурированная серверная среда для работы продуктов &quot;1С-Битрикс24&quot; и &quot;1С-Битрикс управление сайтом&quot;.";
$MESS["SC_HELP_CHECK_SERVER_VARS"] = "Проверяются значения переменных, определяемых веб-сервером.

Значение HTTP_HOST берется на основе имени текущего виртуального хоста (домена). Невалидный домен приводит к тому, что некоторые браузеры (например, Internet Explorer 6) отказываются сохранять для него cookie, как следствие - не сохраняется авторизация.";
$MESS["MAIN_SC_MBSTRING_SETTIGNS_DIFFER"] = "Настройки mbstring в <i>/bitrix/.settings.php</i> (utf_mode) и в <i>/bitrix/php_interface/dbconn.php</i> (BX_UTF) отличаются.";
$MESS["SC_HELP_CHECK_MBSTRING"] = "Модуль mbstring необходим для работы с разными языками. 

Кодировка сайта должна быть указана в параметре default_charset, например:

<b>default_charset=utf-8</b>

Если параметры не соответствуют требуемым, то в разных местах будут появляться совершенно непредсказуемые ошибки: частично обрезанный текст, неработающий импорт xml, система обновлений и т.д.

Для сайта в UTF-8 необходимо установить в <i>/bitrix/php_interface/dbconn.php</i> код:
<code>define('BX_UTF', true);</code>
а в <i>/bitrix/.settings.php</i> код:
<code>'utf_mode' => 
  array (
    'value' => true,
    'readonly' => true,
  ),</code>";
$MESS["SC_HELP_CHECK_SITES"] = "Проверяются базовые настройки многосайтовости. Если для сайтов указан путь к корневой папке (а это необходимо делать только для сайтов на разных доменах), в каждой такой папке должна быть символьная ссылка на папку bitrix, доступную на запись.

На одной установке продукта все сайты должны работать либо в кодировке UTF-8, либо в однобайтовой кодировке.";
$MESS["SC_HELP_CHECK_SOCKET"] = "Осуществляется сетевое подключение с веб-сервера к самому себе. Это необходимо чтобы проверить работу сетевых функций, а также требуется для ряда последующих тестов.

А значит, если этот базовый тест не отработал, то дальнейшие тесты, где требуется создание независимого php процесса, не могут быть произведены.

Обычно проблема возникает, если подключение запрещено фаерволом, доступ к административной части запрещен по IP или для входа на сайт требуется HTTP/NTLM авторизация. На этапе тестирования необходимо отключить эти ограничения.";
$MESS["SC_HELP_CHECK_DBCONN_SETTINGS"] = "Сравниваются параметры подключения к базе данных из <i>/bitrix/php_interface/dbconn.php</i> и <i>/bitrix/.settings.php</i>. 
Они должны быть одинаковые, в противном случае часть SQL запросов может пойти на другую базу данных, что приводит к непредсказуемым последствиям.

Новое ядро D7 использует параметры из <i>.settings.php</i>. Из соображений обратной совместимости нет возможности отказаться от <i>dbconn.php</i>.

Если данные подключения в <i>.settings.php</i> не указаны, новое ядро использует данные из <i>dbconn.php</i>.";
$MESS["SC_HELP_CHECK_DBCONN"] = "Проверяется вывод текста в файлах конфигурации: <i>dbconn.php</i> и <i>init.php</i>.

Даже пробел или перенос строки может приводить к тому, что с включенной компрессией страница не сможет распаковаться на стороне браузера и будет нечитаема.

Также могут возникнуть проблемы с авторизацией или в работе CAPTCHA.";
$MESS["SC_HELP_CHECK_UPLOAD"] = "Осуществляется попытка подключиться к веб-серверу и передать бинарные данные в виде файла. На стороне сервера сравниваются переданные данные с эталоном. Проблема может быть в том, что передача файлов запрещена в <i>php.ini</i>, недоступна временная папка на запись или <i>/bitrix/tmp</i>.

Возможна ситуация, когда в качестве веб-сервера используется русский Apache, который перекодирует двоичные данные.

Для решения проблем с загрузкой файлов необходимо обратиться к хостеру или, для локальной установки, самостоятельно настроить сервер для загрузки файлов.";
$MESS["SC_HELP_CHECK_UPLOAD_BIG"] = "Загружается бинарный файл размером более 4Мб. Если при этом отработал предыдущий тест загрузки файла, возможно, сработало ограничение php.ini <b>post_max_size</b> или <b>upload_max_filesize</b>. Уточнить значения можно в phpinfo (Настройки - Инструменты - Диагностика - Настройки PHP).

Возможен вариант недостатка места на диске.";
$MESS["SC_HELP_CHECK_UPLOAD_RAW"] = "Передаются бинарные данные через тело POST запроса. В ряде случаев на стороне сервера происходит искажение этих данных, в результате не работает интеграция с 1С и загрузка фотографий через flash загрузчик.";
$MESS["SC_HELP_CHECK_POST"] = "Передача POST запроса с большим числом параметров. Если на сервере установлено защитное ПО, например suhosin, данные могут блокироваться. Обычно в этом случае не работает сохранение элемента инфоблока.";
$MESS["SC_HELP_CHECK_MAIL"] = "Осуществляется передача тестового письма на почтовый адрес hosting_test@bitrixsoft.com через стандартную php функцию mail. Чтобы максимально приблизить тест к реальной работе почты, заведен служебный ящик.

В качестве тестового текста письма передается исходный код скрипта проверки сайта.

<b>Никакие пользовательские данные не передаются!</b>

Обратите внимание, что тест не проверяет доставку письма в почтовый ящик. Более того, нельзя протестировать доставку почты на другие почтовые сервера.

Если время отправки письма больше секунды, это может значительно затормозить работу сайта. Обратитесь к хостеру с просьбой настроить отложенную отправку почты (через спулер) или включите передачу почты (и работу агентов) через cron. Для этого в dbconn.php надо добавить константу:
<code>define('BX_CRONTAB_SUPPORT', true);</code>

Затем на cron добавьте ежеминутное выполнение скрипта <i>php /var/www/bitrix/modules/main/tools/cron_events.php</i>.
(замените <i>/var/www</i> на свой путь к корню сайта).

Но если функция mail() в данном случае не отработала, с большой уверенностью можно утверждать, что передача почты стандартным способом php на сервере невозможна.

Если хостер предоставляет альтернативные способы отправки почты с сайта, их можно использовать через функцию custom_mail. Определите эту функцию в файле <i>/bitrix/php_interface/init.php</i>, она будет использоваться вместо встроенной mail функции с тем же набором параметров.";
$MESS["SC_HELP_CHECK_MAIL_BIG"] = "При отправке большого сообщения текст предыдущего письма (исходный код скрипта проверки сайта) повторяется 10 раз. Кроме того, тема письма разрывается на две строки и добавляется передача скрытой копии на адрес noreply@bitrixsoft.com.

На некорректно настроенных серверах такие письма могут не отправляться.

Для решения проблем с загрузкой файлов необходимо обратиться к хостеру или, для локальной установки, самостоятельно настроить сервер для передачи почты.";
$MESS["SC_HELP_CHECK_MAIL_B_EVENT"] = "Таблица в базе данных B_EVENT хранит очередь отправки почты с сайта. Там же регистрируется результат передачи писем. Если какие-то письма с сайта не были отправлены, возможно, проблема в адресе получателя, параметрах почтового шаблона или в работе почты на сервере в целом.";
$MESS["SC_HELP_CHECK_LOCALREDIRECT"] = "Административная часть 1С-Битрикс работает так, что после всех сохранений форм происходит перенаправление на исходную страницу. Это позволяет избежать повторной передачи данных при обновлении страницы. Чтобы корректно отработало перенаправление, веб-сервер должен корректно определять целый ряд переменных. Также должна быть возможность переопределить заголовки HTTP ответа.

Если какие-то серверные переменные были переопределены в <i>dbconn.php</i>, данные об этом передаются в тест. Т.е. перенаправление работает в тех же условиях, что и в реальной ситуации на сайте.";
$MESS["SC_HELP_CHECK_MEMORY_LIMIT"] = "Тест создает отдельный php процесс, который генерирует в памяти переменную заданного размера. Путем ряда последовательных измерений определяется размер памяти, доступный процессу php.

Основной параметр ограничения памяти в php.ini - это <b>memory_limit</b>. Но доверять значению параметра нельзя, т.к. на хостингах могут быть установлены дополнительные ограничения памяти.

Обратите внимание, тест пытается увеличить значение <b>memory_limit</b> используя код:
<code>ini_set(&quot;memory_limit&quot;, &quot;512M&quot;)</code>

Если текущее значение меньше, установите указанную строку в <i>/bitrix/php_interface/dbconn.php</i>.
";
$MESS["SC_HELP_CHECK_SESSION"] = "Проверяется возможность хранить данные на сервере используя механизм сессий. Эта базовая возможность необходима для сохранения авторизации между хитами.

Сессии могут не работать, если их поддержка не установлена, в php.ini неправильно указана папка для хранения сессий или она не доступна на запись.";
$MESS["SC_HELP_CHECK_SESSION_UA"] = "Тестируется сохранение сессий, но при этом не передается HTTP заголовок идентификации браузера <i>User-Agent</i>.

Так могут работать внешние по отношению к браузеру приложения: множественная загрузка файлов, загрузка фото, клиенты WebDav, 1С и пр.

Причиной проблемы часто бывает неправильная настройка php модуля <b>suhosin</b>.";
$MESS["SC_HELP_CHECK_CACHE"] = "Иногда возникает ситуация, когда процесс php может создать файл с расширением tmp в папке кеша, но не может переименовать в php. Проблема может наблюдаться на веб-серверах, работающих под Windows. Связана с неправильной настройкой прав пользователя, под которым работает веб-сервер.";
$MESS["SC_HELP_CHECK_UPDATE"] = "Осуществляется тестовое подключение к серверу обновлений на основе настроек главного модуля. Если соединение не удалось, установка обновлений, а также активация пробной версии будут недоступны.

Причина может быть в неправильной настройке прокси сервера, ограничениях фаервола или сетевых настройках сервера.";
$MESS["SC_HELP_CHECK_HTTP_AUTH"] = "Используя заголовки HTTP запроса передаются данные авторизации, затем осуществляется попытка их определить, используя переменную сервера REMOTE_USER (или REDIRECT_REMOTE_USER). HTTP авторизация необходима для интеграции с 1С и другого функционала.

Если php работает в режиме CGI/FastCGI (этот вопрос можно уточнить у хостера), для Apache требуется наличие модуля mod_rewrite и правило в .htaccess:
<b>RewriteRule .* - [E=REMOTE_USER:%{HTTP:Authorization}]</b>

Если есть возможность, используйте режим работы php как модуль Apache.";
$MESS["SC_HELP_CHECK_EXEC"] = "Когда php работает в режиме CGI/FastCGI на Unix системе, для корректной работы скриптов требуются определенные системные права для запуска этих скриптов.
Если тест не отрабатывает, узнайте необходимые права для скриптов и установите в <i>dbconn.php</i> для констант <b>BX_FILE_PERMISSIONS</b> и <b>BX_DIR_PERMISSIONS</b>.

Если есть возможность, используйте режим работы php как модуль Apache.";
$MESS["SC_HELP_CHECK_BX_CRONTAB"] = "Чтобы перенести работу непериодических агентов (и передачу почты) на cron, необходимо в <i>/bitrix/php_interface/dbconn.php</i> установить константу:
<code>define('BX_CRONTAB_SUPPORT', true);</code>

После этого на хитах будут выполняться только периодические агенты. Затем в cron поставить задание на ежеминутный запуск скрипта <i>/var/www/bitrix/modules/main/tools/cron_events.php</i>.
(замените <i>/var/www</i> на свой путь к корню сайта).

Внутри скрипта определена константа <b>BX_CRONTAB</b>, которая является индикатором того, что скрипт работает из cron и приводит к выполнению только непериодических агентов. Если эта константа ошибочно определена в <i>dbconn.php</i>, периодические агенты полностью перестают выполняться.";
$MESS["SC_HELP_CHECK_SECURITY"] = "Модуль Apache mod_security подобно модулю php suhosin призван защищать сайт от атак хакеров, но на практике он чаще препятствует нормальной работе сайта. Рекомендуется его отключить, вместо него использовать модуль проактивной защиты 1С-Битрикс.";
$MESS["SC_HELP_CHECK_GETIMAGESIZE"] = "Для вставки Flash ролика в визуальном редакторе необходимо определить его размер. Для этого используется стандартная php функция <b>getimagesize</b>. Также требуется наличие расширения <b>Zlib</b>. Функция может работать некорректно для сжатых Flash роликов, если расширение <b>Zlib</b> установлено в качестве модуля. Необходимо, чтобы оно было скомпилировано статически.

Для решения проблемы обратитесь к хостеру.";
$MESS["SC_HELP_CHECK_MYSQL_BUG_VERSION"] = "Известны версии MySQL с ошибками, препятствующими нормальной работе сайта:
<b>5.0.41</b> - некорректно работает метод EXISTS, поиск работает неправильно;
<b>5.1.34</b> - шаг auto_increment по умолчанию равен 2, требуется 1.

Обновите MySQL, если у вас установлена одна их этих версий.";
$MESS["SC_HELP_CHECK_MYSQL_TIME"] = "Сравнивается системное время базы данных и веб-сервера. Рассинхронизация может быть, когда они установлены на разные физические машины, но чаще всего в результате неправильной установки часового пояса.

Установить часовой пояс php можно в <i>/bitrix/php_interface/dbconn.php</i>, например:
<code>date_default_timezone_set(&quot;Etc/GMT-3&quot;);</code>

Для базы данных добавьте в <i>/bitrix/php_interface/after_connect_d7.php</i>:
<code>\$connection = Bitrix\\Main\\Application::getConnection(); 
\$connection-&gt;queryExecute(&quot;SET LOCAL time_zone='&quot;.date('P').&quot;'&quot;);</code>

В файл <i>/bitrix/php_interface/after_connect.php</i>
<code>\$DB->Query(&quot;SET LOCAL time_zone='&quot;.date('P').&quot;'&quot;);</code>

Вместо <i>Etc/GMT-3</i> укажите свой часовой пояс из списка: http://en.wikipedia.org/wiki/List_of_tz_database_time_zones";
$MESS["SC_HELP_CHECK_MYSQL_MODE"] = "Параметр <i>sql_mode</i> задаёт режим работы MySQL. Может принимать значения, несовместимые с 1С-Битрикс. Чтобы установить режим работы по умолчанию, добавьте в <i>/bitrix/php_interface/after_connect_d7.php</i>:
<code>\$connection = Bitrix\\Main\\Application::getConnection();
\$connection-&gt;queryExecute(&quot;SET sql_mode=''&quot;);
\$connection-&gt;queryExecute(&quot;SET innodb_strict_mode=0&quot;);</code>

Обратите внимание, что в Mysql 8.0.26 и новее для настройки параметров соединения может потребоваться привилегия пользователя БД SESSION_VARIABLES_ADMIN. Если текущих привилегий недостаточно, то необходимо обратиться к администратору БД или настроить параметры в файле конфигурации Mysql.
";
$MESS["SC_HELP_CHECK_MYSQL_TABLE_CHARSET"] = "Кодировка всех таблиц (и полей) должна совпадать с кодировкой базы данных. Если какие-то таблицы имеют неправильную кодировку, необходимо исправить их вручную через SQL запросы.

Сравнение всех таблиц также должно соответствовать сравнению базы, если кодировки установлены правильно, а сравнения отличаются, ошибка может быть исправлена автоматически.

<b>Внимание!</b> Перед изменением кодировок таблиц и полей сделайте полную резервную копию базы данных.";
$MESS["SC_HELP_CHECK_MYSQL_TABLE_STATUS"] = "Используется механизм MySQL для проверки целостности таблиц. Если какие-то таблицы разрушены, предлагается запустить механизм исправления ошибок базы.";
$MESS["SC_HELP_CHECK_MYSQL_DB_CHARSET"] = "Проверяется соответствие кодировки и сравнения базы данных кодировке и сравнению соединения. Эти значения MySQL использует для создания новых таблиц.

Ошибка может быть исправлена автоматически, для этого у пользователя, под которым работает сайт, должны быть права на изменение базы данных (ALTER DATABASE).
";
$MESS["SC_HELP_CHECK_MYSQL_CONNECTION_CHARSET"] = "Проверяется кодировка и сравнение, используемые при передаче данных на MySQL сервер.

Для сайта в кодировке <i>utf8</i> необходимо чтобы кодировка была <i>utf8</i>, а сравнение <i>utf8_unicode_ci</i>. Если сайт работает в кодировке <i>cp1251</i>, соединение должно использовать эту же кодировку.

Чтобы изменить кодировку соединения, установите в <i>/bitrix/php_interface/after_connect_d7.php</i> код (пример для <i>utf8</i>):
<code>\$connection = Bitrix\\Main\\Application::getConnection(); 
\$connection-&gt;queryExecute('SET NAMES &quot;utf8&quot;');</code>
Чтобы скорректировать сравнение, установите <b>после указания кодировки</b> код:
<code>\$connection-&gt;queryExecute('SET collation_connection = &quot;utf8_unicode_ci&quot;');</code>
В файл <i>/bitrix/php_interface/after_connect.php</i>
<code>\$DB->Query(&quot;SET NAMES 'utf8'&quot;);
\$DB->Query(&quot;SET collation_connection = 'utf8_unicode_ci'&quot;);</code>
<b>Внимание!</b> После того, как установлены новые значения, убедитесь, что данные на сайте отображаются корректно.
";
$MESS["SC_READ_MORE_ANC"] = "Подробности в <a href=\"#LINK#\" target=_blank>журнале проверки системы</a>.";
$MESS["SC_CHARSET_CONN_VS_RES"] = "Кодировка соединения (#CONN#) отличается от кодировки результата (#RES#)";
$MESS["SC_STRLEN_FAIL_PHP56"] = "Строковая функция strlen работает некорректно.";
$MESS["SC_STRTOUPPER_FAIL"] = "Строковые функции strtoupper и strtolower работают некорректно";
$MESS["SC_T_RECURSION"] = "Размер стека и pcre.recursion_limit";
$MESS["SC_HELP_CHECK_PCRE_RECURSION"] = "Если параметр <i>pcre.recursion_limit</i> превышает системный размер стека (обычно 8 Мб), то PHP падает с ошибкой <i>Segmentation fault</i> при выполнении сложных регулярных выражений.

Если нет возможности увеличить системный размер стека, необходимо уменьшить параметр <i>pcre.recursion_limit</i>. В этом случае PHP падать не будет, но обработка строк будет работать не всегда правильно: могут появляться пустые сообщения на форуме.";
$MESS["SC_PCRE_CLEAN"] = "Возможны проблемы в работе с длинными строками из-за системных ограничений";
$MESS["SC_T_METHOD_EXISTS"] = "Вызов method_exists на строке";
$MESS["SC_HELP_CHECK_METHOD_EXISTS"] = "На некоторых версиях php скрипт падает на вызове функции <i>method_exists</i>. Обсуждение проблемы есть на сайте php: <a href=\"http://bugs.php.net/bug.php?id=51425\" target=_blank>http://bugs.php.net/bug.php?id=51425</a>
В качестве решения следует установить другую версию php.";
$MESS["SC_HELP_CHECK_MYSQL_TABLE_STRUCTURE"] = "Установочные файлы модулей содержат информацию о структуре таблиц, с которыми они работают. При обновлении модулей меняется структура таблиц и установочные файлы.

Если файлы модуля не соответствуют фактической структуре данных, в работе продукта возникнут проблемы.

Некоторые индексы были добавлены в дистрибутивах, но не выходили в обновлениях, т.к. создание индексов может занимать много времени и приводить к сбоям системы обновлений.

Проверка системы диагностирует <b>установленные</b> модули и может автоматически создать недостающие индексы и поля, а также модифицировать поля таблиц таким образом, чтобы гарантировать целостность данных. Если меняется тип поля, то необходимо анализировать вручную данные журнала.";
$MESS["ERR_MAX_INPUT_VARS"] = "Значение max_input_vars должно быть не ниже #MIN#. Текущее значение: #CURRENT#";
$MESS["SC_T_APACHE"] = "Модули веб-сервера";
$MESS["SC_T_INSTALL_SCRIPTS"] = "Служебные скрипты в корне сайта";
$MESS["ERR_OLD_VM"] = "Вы используете веб-окружение 1С-Битрикс старой версии (#CURRENT#), установите актуальную версию, чтобы не было проблем с настройкой сервера (#LAST_VERSION#).";
$MESS["ERR_NO_VM"] = "Для гарантированной работы &quot;1С-Битрикс24&quot; необходимо его устанавливать на веб-окружении Битрикс, у вас используется собственное серверное окружение.";
$MESS["SC_ERR_NO_FIELD"] = "В таблице #TABLE# не хватает поля #FIELD#";
$MESS["SC_ERR_NO_VALUE"] = "В таблице #TABLE# не хватает служебной записи: #SQL#";
$MESS["SC_ERR_FIELD_DIFFERS"] = "В таблице #TABLE# поле #FIELD# \"#CUR#\" не соответствует описанию на диске \"#NEW#\"";
$MESS["SC_ERR_NO_INDEX"] = "В таблице #TABLE# отсутствует индекс #INDEX#";
$MESS["SC_ERR_NO_INDEX_ENABLED"] = "Не включен полнотекстовый индекс #INDEX# для таблицы #TABLE#";
$MESS["SC_ERR_NO_TABLE"] = "Отсутствует таблица #TABLE#";
$MESS["SC_CHECK_TABLES_STRUCT_ERRORS"] = "Структура базы данных имеет ошибки. Всего #VAL#, автоматически могут быть исправлены: #VAL1#.";
$MESS["SC_CHECK_TABLES_STRUCT_ERRORS_FIX"] = "Автоисправление прошло успешно, но ряд полей (#VAL#) отличаются по типу, необходимо вручную их исправить на основе журнала проверки сайта.";
$MESS["SC_HELP_CHECK_PERF"] = "Оценка производительности сервера методом <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=32&CHAPTER_ID=1146\">монитора производительности</a>.

Показывает число пустых страниц, которое может отдать сервер за секунду. Т.е. величина, обратная времени создания страницы, содержащей только подключение ядра продукта.

Эталонная <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">виртуальная машина &quot;1С-Битрикс&quot;</a> имеет оценку около 30 единиц.

Если на незагруженном сервере вы получили низкую оценку, это свидетельствует об ошибках конфигурации. Если же низкая оценка появляется только под нагрузкой, это может свидетельствовать о недостатке аппаратных ресурсов.";
$MESS["SC_HELP_CHECK_CA_FILE"] = "Тест пытается подключиться к сайту www.1c-bitrix.ru. 

Это необходимо для повседневной работы при использовании облачных сервисов &quot;1С-Битрикс&quot; (CDN, облачный бэкап, сканер безопасности и др.), когда обновляется информация о квотах и текущем статусе сервисов. При этом никакие пользовательские данные не передаются к нам на сервер.

Затем этот тест также загружает список центров сертификации с нашего сайта, который необходим для следующего теста проверки валидности SSL сертификата текущего сайта.
";
$MESS["SC_HELP_CHECK_SOCKET_SSL"] = "Шифрованное подключение к серверу осуществляется по протоколу <a href=\"http://ru.wikipedia.org/wiki/HTTPS\">HTTPS</a>. Чтобы оно было действительно безопасным, требуется наличие валидного сертификата SSL.

Валидность сертификата означает, что он был проверен Центром Сертификации и принадлежит данному серверу. Обычно приобрести такой сертификат можно через своего хостинг провайдера.

Если работа с порталом идет через HTTPS соединение и используется самоподписанный сертификат, могут возникнуть проблемы при работе с внешним ПО, например, при подключении сетевых дисков по протоколу WebDav и интеграции с MS Outlook.
";
$MESS["SC_HELP_CHECK_PULL_STREAM"] = "Сервер очередей Push and Pull служит для мгновенного взаимодействия между собой многих инструментов продуктов Битрикс24 и 1С-Битрикс: Управление сайтом. Он используется в Задачах, Календарях, ленте Новостей, Группах, RPA, мобильном приложении Битрикс24, Чатах, Генераторе документов, Телефонии, Центре продаж и в других сервисах.

Для полноценной работы системы необходима настройка модуля <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&LESSON_ID=2033\">Push and Pull</a> и Push server.

<a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">Виртуальная машина &quot;1С-Битрикс&quot;</a> с версии 4.2 имеет встроенную поддержку Push server.
";
$MESS["SC_HELP_CHECK_PULL_COMMENTS"] = "Для того чтобы комментарии в живой ленте были видны всем пользователям сразу после добавления, необходима настройка модуля <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&LESSON_ID=2033\">Push and Pull</a>.

<a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">Виртуальная машина &quot;1С-Битрикс&quot;</a> с версии 4.2 имеет встроенную поддержку push&amp;pull.
";
$MESS["SC_HELP_CHECK_CONNECT_MAIL"] = "Чтобы получать уведомления о новых почтовых сообщениях непосредственно из корпоративного портала, необходимо чтобы пользователь указал данные подключения к своему почтовому ящику со своей личной страницы настроек портала.";
$MESS["SC_HELP_CHECK_SOCNET"] = "Чтобы получать в живую ленту портала сообщения из социальных сетей, необходимо <a href=\"https://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=48&CHAPTER_ID=03040\">настроить</a> модуль социальных сервисов, указав ключи для каждого сервиса отдельно. ";
$MESS["SC_HELP_CHECK_REST"] = "Модуль rest должен быть установлен для интеграции с внешними приложенями и работы ряда приложений из Битрикс24.Маркет. Вы можете интегрировать свои приложения в Битрикс24 на основе <a href=\"https://dev.1c-bitrix.ru/rest_help/\" target=\"_blank\">документации для разработчиков</a>.";
$MESS["SC_HELP_CHECK_EXTRANET"] = "Для работы модуля <a href=\"http://dev.1c-bitrix.ru/learning/course/?COURSE_ID=45&CHAPTER_ID=794\">экстранет</a> необходим доступ к порталу из Интернета. 

Если вы не используете этот модуль, удалите его из <a href=\"/bitrix/admin/module_admin.php\">списка модулей</a>.";
$MESS["SC_HELP_CHECK_WEBDAV"] = "Протокол <a href=\"http://ru.wikipedia.org/wiki/WebDAV\">WebDAV</a> позволяет редактировать документы в MS Office непосредственно на портале, не загружая их на локальный компьютер. Для этого сервер, на котором работает портал, должен передавать без изменений запросы по этому протоколу в скрипты php. Если такие запросы блокируются сервером, редактирование документов из MS Office работать не будет.

Кроме этого нужна дополнительная <a href=\"http://dev.1c-bitrix.ru/learning/course/?COURSE_ID=45&LESSON_ID=2262#office\">настройка</a> на стороне пользователя, проверить которую возможности нет.
";
$MESS["SC_HELP_CHECK_AD"] = "Если в локальной сети настроен Windows Active Directory или LDAP сервер, желательно <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&CHAPTER_ID=726\">настроить</a> интеграцию с AD, чтобы обеспечить единое место хранения паролей и структуру компании.

Для этого в php должен быть установлен модуль ldap.";
$MESS["SC_HELP_CHECK_NTLM"] = "<a href=\"http://wikipedia.org/wiki/SSO\">Технология единого входа</a> требует настройки специальных модулей на стороне веб-сервера и <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=32&LESSON_ID=5510\">настройку</a> портала.

Задача настройки NTLM в среде Linux нетривиальна, но на <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">виртуальной машине &quot;1С-Битрикс&quot;</a> с версии 4.2 это настроено, нужно только включить через мастер настройки машины.";
$MESS["SC_HELP_CHECK_TURN"] = "Для осуществления видеозвонков нужен браузер с поддержкой <a href=\"http://wikipedia.org/wiki/WebRTC\">WebRTC</a> (Google Chrome с 17 версии, Opera с 12 версии и Firefox с 18).

<a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">Виртуальная машина &quot;1С-Битрикс&quot;</a> с версии 4.2 имеет встроенную поддержку push&amp;pull.

Если прямое сетевое соединение браузеров невозможно, нужен специальный TURN сервер. Компания &quot;1С-Битрикс&quot; бесплатно предоставляет для своих клиентов настроенный TURN сервер по адресу: turn.calls.bitrix24.com, который используется по умолчанию. Вы можете настроить собственный сервер и указать его адрес в настройках модуля &quot;веб-мессенджер&quot; (im).";
$MESS["SC_HELP_CHECK_PUSH_BITRIX"] = "Модуль <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&LESSON_ID=2033\">Push and Pull</a> обеспечивает мгновенную передачу сообщений по технологии Pull и отправку уведомлений на мобильные устройства по технологии Push в <a href=\"http://www.1c-bitrix.ru/products/intranet/features/mobileapp.php\">мобильное приложение 1С-Битрикс</a>.

Отправка уведомлений на Apple и Android устройства осуществляется через единый сервис 1С-Битрикс https://cloud-messaging.bitrix24.com через HTTPS.

Для работы push уведомлений на мобильные устройства должна быть возможность доступа с портала на этот сервер.
";
$MESS["SC_HELP_CHECK_ACCESS_MOBILE"] = "Для работы мобильного приложения нужен доступ к порталу из Интернета.

Тест использует специальный сервер checker.internal.bitrix24.com, который пытается осуществить подключение к порталу, используя адрес портала из браузера. При этом никакие пользовательские данные не передаются на наш сервер.

Для работы мгновенных сообщений необходима также возможность подключения к порту чтения сообщений Push server. Порт подключения берется из настроек модуля <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&LESSON_ID=2033\">Push and Pull</a>.";
$MESS["SC_HELP_CHECK_FAST_DOWNLOAD"] = "Быстрая отдача файлов использует внутреннюю переадресацию <a href=\"http://wiki.nginx.org/X-accel\">Nginx</a>. В этом случае осуществляется проверка доступа к файлу средствами PHP, о отдача - через Nginx. 

Ресурсы PHP освобождаются для обработки следующего запроса. Это существенно повышает производительность портала в целом и скорость отдачи файлов через Битрикс.Диск, работу с библиотекой документов, отдачу приложенных файлов из живой ленты.

В настройках <a href=\"/bitrix/admin/settings.php?mid=main\">главного модуля</a> необходимо включить соответствующую опцию. <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">Виртуальная машина &quot;1С-Битрикс&quot;</a> имеет поддержку этой возможности по умолчанию.

";
$MESS["SC_HELP_CHECK_COMPRESSION"] = "Сжатие готового html необходимо, чтобы сократить время передачи и уменьшить общее время ожидания открытия страниц.

Чтобы уменьшить нагрузку на сервер, необходимо обеспечить компрессию через специальный модуль веб-сервера. 

Если такой возможности нет, используется сжатие модулем Битрикс compression, иначе модуль compression должен быть <a href=\"/bitrix/admin/module_admin.php\">не установлен</a>.";
$MESS["SC_HELP_CHECK_ACCESS_DOCS"] = "Для просмотра и редактирования документов через Google Docs или MS Office Online для этих сервисов создается специальная внешняя ссылка, по которой они забирают документ. С целью безопасности ссылка имеет уникальный вид и удаляется сразу после закрытия документа.

Чтобы этот механизм корректно работал, необходимо наличие к порталу доступа из Интернета.";
$MESS["SC_HELP_CHECK_SEARCH"] = "Для поиска по содержимому документов требуется <a href=\"http://dev.1c-bitrix.ru/learning/course/?COURSE_ID=48&CHAPTER_ID=04759\">настройка</a> внешних инструментов. В настройках модуля <a href=\"/bitrix/admin/settings.php?mid=intranet\">intranet</a> должны быть указаны корректные пути к этим приложениям. Иначе поиск документов на портале возможен только по имени файла.



<a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">Виртуальная машина &quot;1С-Битрикс&quot;</a> имеет поддержку этой возможности по умолчанию.";
$MESS["MAIN_SC_AGENTS_CRON"] = "Выполнение агентов на cron";
$MESS["MAIN_SC_PERF_TEST"] = "Оценка производительности сервера";
$MESS["MAIN_SC_COMP_DISABLED"] = "Компрессия не поддерживается сервером, используется сжатие на php модулем compression";
$MESS["MAIN_SC_COMP_DISABLED_MOD"] = "Компрессия не поддерживается сервером, модуль компрессии выключен";
$MESS["MAIN_SC_ENABLED"] = "Компрессия поддерживается сервером, необходимо удалить модуль compression";
$MESS["MAIN_SC_ENABLED_MOD"] = "Работает: используется сжатие модулем сервера";
$MESS["MAIN_SC_TEST_SSL1"] = "Безопасное подключение HTTPS установлено, но валидность SSL сертификата проверить не удалось из-за того, что не получен актуальный список центров сертификации с сайта &quot;1С-Битрикс&quot;";
$MESS["MAIN_SC_TEST_SSL_WARN"] = "Безопасное подключение не удалось, возможны проблемы в интеграции с внешними приложениями";
$MESS["MAIN_SC_SSL_NOT_VALID"] = "Сервер имеет невалидный SSL сертификат, возможны проблемы в интеграции с внешними приложениями";
$MESS["MAIN_SC_PATH_PUB"] = "Путь для публикации сообщений в настройках модуля Push and Pull некорректен";
$MESS["MAIN_SC_PATH_SUB"] = "Путь для чтения сообщений в настройках модуля Push and Pull некорректен";
$MESS["MAIN_SC_STREAM_DISABLED_2"] = "Не настроен Push server в настройках модуля Push and Pull.";
$MESS["MAIN_SC_PULL_UNSUPPORTED_VERSION"] = "В настройках модуля Push and Pull указана версия Push server, которая объявлена устаревшей. Вам необходимо перейти на новую версию Push server. <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=41&LESSON_ID=2033\">Подробнее.</a> ";
$MESS["MAIN_SC_PULL_NOT_REGISTERED"] = "Ошибка регистрации на Push сервере, предоставленном 1С-Битрикс";
$MESS["MAIN_NO_PULL"] = "Модуль Push and Pull не установлен. ";
$MESS["MAIN_NO_PULL_MODULE"] = "Модуль Push and Pull не установлен. PUSH уведомления не будут приходить на мобильные устройства.";
$MESS["MAIN_NO_OPTION_PULL"] = "Не включена опция модуля Push and Pull отправки PUSH уведомлений. PUSH уведомления не будут приходить на мобильные устройства.";
$MESS["MAIN_WRONG_ANSWER_PULL"] = "Получен неизвестный ответ от PUSH сервера";
$MESS["MAIN_TMP_FILE_ERROR"] = "Не удалось создать временный файл для тестирования";
$MESS["MAIN_FAST_DOWNLOAD_SUPPORT"] = "Поддержка быстрой отдачи файлов через Nginx доступна, но соответствующая опция выключена в настройках главного модуля.";
$MESS["MAIN_FAST_DOWNLOAD_ERROR"] = "Поддержка быстрой отдачи файлов через Nginx не доступна, но соответствующая опция включена в настройках главного модуля.";
$MESS["MAIN_PERF_VERY_LOW"] = "Недопустимо низкая";
$MESS["MAIN_PERF_LOW"] = "Низкая";
$MESS["MAIN_PERF_MID"] = "Средняя";
$MESS["MAIN_PERF_HIGH"] = "Высокая";
$MESS["MAIN_PAGES_PER_SECOND"] = "страниц в секунду";
$MESS["MAIN_BX_CRONTAB_DEFINED"] = "Определена константа BX_CRONTAB, она может определяться только в скриптах, работающих на cron.";
$MESS["MAIN_CRON_NO_START"] = "Не настроен запуск cron_events.php на cron, последний агент отработал больше суток назад.";
$MESS["MAIN_AGENTS_HITS"] = "Агенты выполняются на хитах, рекомендуется перевести выполнение агентов на cron";
$MESS["SC_GR_EXTENDED"] = "Дополнительные функции";
$MESS["SC_GR_MYSQL"] = "Тестирование базы данных";
$MESS["SC_GR_FIX"] = "Исправление ошибок";
$MESS["SC_WARN"] = "Не настроено";
$MESS["SC_PORTAL_WORK"] = "Работа портала";
$MESS["SC_PORTAL_WORK_DESC"] = "Работа корпоративного портала";
$MESS["SC_FULL_CP_TEST"] = "Полное тестирование системы";
$MESS["SC_SYSTEM_TEST"] = "Проверка системы";
$MESS["SC_ERRORS_NOT_FOUND"] = "Ошибок&nbsp;не&nbsp;выявлено";
$MESS["SC_ERRORS_FOUND"] = "Выявлены&nbsp;ошибки";
$MESS["SC_WARNINGS_FOUND"] = "Ошибок не выявлено, но есть замечания";
$MESS["SC_TESTING1"] = "Тестируем...";
$MESS["SC_HELP"] = "Помощь.";
$MESS["SC_TEST_START"] = "Выполнить проверку";
$MESS["MAIN_SC_GENERAL"] = "Общая работа портала";
$MESS["MAIN_SC_GENERAL_SITE"] = "Общая работа сайта";
$MESS["MAIN_SC_BUSINESS"] = "Бизнес-функции портала";
$MESS["MAIN_SC_REAL_TIME"] = "Реальный режим коммуникаций и видеозвонки";
$MESS["MAIN_SC_EXTERNAL_CALLS"] = "Видеозвонки из внешней сети";
$MESS["MAIN_SC_WARNINGS"] = "уведомления пользователям на мобильные устройства";
$MESS["MAIN_SC_FAST_FILES_TEST"] = "Быстрая работа с файлами и документами";
$MESS["MAIN_SC_COMPRESSION_TEST"] = "Ускорение открытия страниц";
$MESS["MAIN_SC_MAIL_TEST"] = "Отправка почтовых уведомлений";
$MESS["MAIN_SC_CLOUD_TEST"] = "Доступ к облачным сервисам 1С-Битрикс";
$MESS["MAIN_SC_EXTERNAL_APPS_TEST"] = "Интеграция с внешними приложениями (MS Office, Outlook, Exchange) через безопасное подключение к порталу";
$MESS["MAIN_SC_TEST_IS_INCORRECT"] = "Тест не отработал корректно";
$MESS["MAIN_SC_SOME_WARNING"] = "Замечание";
$MESS["MAIN_SC_MCRYPT"] = "Функции шифрования";
$MESS["MAIN_SC_ALL_MODULES"] = "Все необходимые модули установлены";
$MESS["MAIN_SC_ERROR_PRECISION"] = "Параметр precision имеет неверное значение";
$MESS["MAIN_SC_CANT_CHANGE"] = "Нет возможности изменить значение pcre.backtrack_limit через ini_set";
$MESS["MAIN_SC_CORRECT_SETTINGS"] = "Настройки правильные";
$MESS["MAIN_IS_CORRECT"] = "Корректные";
$MESS["MAIN_SC_NO_ACCESS"] = "Нет доступа к сайту &quot;1С-Битрикс&quot;, не будет работать система обновлений и облачные сервисы &quot;1С-Битрикс";
$MESS["MAIN_SC_ABS"] = "Отсутствует";
$MESS["MAIN_SC_CORRECT"] = "Правильные";
$MESS["MAIN_SC_NO_IM"] = "Модуль веб-мессенджер не установлен";
$MESS["MAIN_SC_AVAIL"] = "Доступны";
$MESS["MAIN_SC_NOT_AVAIL"] = "Не доступны";
$MESS["MAIN_SC_NOT_SUPPORTED"] = "Эта возможность не поддерживается сервером";
$MESS["MAIN_SC_NO_CONFLICT"] = "Конфликтов не выявлено";
$MESS["MAIN_SC_ABSENT_ALL"] = "Отсутствуют";
$MESS["MAIN_SC_REQUIRED_MODS_DESC"] = "Проверяется наличие необходимых модулей и базовые настройки системы для работы портала. Без этого работа портала не гарантируется.";
$MESS["MAIN_SC_CORRECT_DESC"] = "Чтобы обеспечить корректную работу портала, нужны специальные настройки серверного окружения. На <a href=\"http://dev.1c-bitrix.ru/learning/course/index.php?COURSE_ID=37\">виртуальной машине &quot;1С-Битрикс&quot;</a> эти настройки сделаны по-умолчанию. Если нужные настройки не выполнены, часть функционала портала будет работать некорректно.";
$MESS["MAIN_SC_GOT_ERRORS"] = "Обнаружены ошибки в работе корпоративного портала. <a href=\"#LINK#\">Проверить и исправить.</a>";
$MESS["MAIN_SC_SITE_GOT_ERRORS"] = "Обнаружены ошибки в работе сайта. <a href=\"#LINK#\">Проверить и исправить.</a>";
$MESS["MAIN_SC_FULL_TEST_DESC"] = "Полная проверка системы помогает найти причины проблем в работе сайта и избежать появление ошибок в дальнейшем. Справка по каждому тесту поможет устранить причину ошибки.";
$MESS["MAIN_SC_SYSTEST_LOG"] = "Журнал проверки системы";
$MESS["MAIN_SC_TEST_RESULT"] = "Результат теста:";
$MESS["MAIN_SC_ALL_FUNCS_TESTED"] = "Все функции портала проверены и работают правильно";
$MESS["MAIN_SC_FUNC_WORKS_FINE"] = "Функция работает правильно";
$MESS["MAIN_SC_FUNC_WORKS_PARTIAL"] = "Функция работает частично неправильно, желательно устранить ошибки";
$MESS["MAIN_SC_FUNC_WORKS_WRONG"] = "Функция работает неправильно, требуется устранить ошибки";
$MESS["MAIN_SC_TEST_PUSH_SERVER"] = "Сервер очередей Push and Pull";
$MESS["MAIN_SC_TEST_COMMENTS"] = "Живые комментарии в ленте сообщений";
$MESS["MAIN_SC_TEST_VIDEO"] = "Видеозвонки";
$MESS["MAIN_SC_TEST_MOBILE"] = "Мобильное приложение Битрикс24";
$MESS["MAIN_SC_TEST_MAIL_PUSH"] = "Публикация сообщений в живую ленту из почты";
$MESS["MAIN_SC_TEST_PUSH"] = "Уведомления пользователям на мобильные устройства (push уведомления)";
$MESS["MAIN_SC_TEST_DOCS"] = "Работа с документами через Google Docs и MS Office Online";
$MESS["MAIN_SC_TEST_FAST_FILES"] = "Битрикс24.Диск. Быстрая работа с файлами";
$MESS["MAIN_SC_TEST_SEARCH_CONTENTS"] = "Поиск по содержимому документов";
$MESS["MAIN_SC_TEST_MAIL_INTEGRATION"] = "Интеграция с почтой внутри компании";
$MESS["MAIN_SC_TEST_SOCNET_INTEGRATION"] = "Интеграция с соцсетями";
$MESS["MAIN_SC_TEST_REST"] = "Работа с REST API";
$MESS["MAIN_SC_EXTRANET_ACCESS"] = "Доступ снаружи к Экстранет";
$MESS["MAIN_SC_WINDOWS_ENV"] = "Интеграция с Windows окружением";
$MESS["MAIN_SC_DOCS_EDIT_MS_OFFICE"] = "Редактирование документов в MS Office";
$MESS["MAIN_SC_TEST_LDAP"] = "Интеграция с Active Directory";
$MESS["MAIN_SC_TEST_NTLM"] = "Единая авторизация в Windows сети (NTLM)";
$MESS["MAIN_SC_PERFORM"] = "Производительность";
$MESS["MAIN_SC_MAIL_IS_NOT_INSTALLED"] = "Модуль почты не установлен";
$MESS["MAIN_SC_MAIL_INTEGRATION"] = "Интеграция с внешними почтовыми сервисами доступна, но ни один пользователь не выполнил настройку";
$MESS["MAIN_SC_NO_SOCIAL_MODULE"] = "Не установлен модуль социальных сервисов";
$MESS["MAIN_SC_NO_REST_MODULE"] = "Не установлен модуль rest";
$MESS["MAIN_SC_NO_SOCIAL_SERVICES"] = "Не настроен ни один социальный сервис в настройках модуля социальных сервисов";
$MESS["MAIN_SC_NO_SOCIAL_SERVICES_24NET"] = "Не настроена интеграция с bitrix24.net в настройках модуля социальных сервисов";
$MESS["MAIN_SC_NO_LDAP_MODULE"] = "Модуль ldap не установлен";
$MESS["MAIN_SC_NO_LDAP_INTEGRATION"] = "Интеграция с AD сервером не настроена";
$MESS["MAIN_SC_OPTION_SWITCHED_OFF"] = "Выключена опция использования NTLM авторизации в настройках модуля ldap";
$MESS["MAIN_SC_NTLM_SUCCESS"] = "Авторизация NTLM работает, текущий пользователь: ";
$MESS["MAIN_SC_NO_NTLM"] = "Текущее подключение не использует NTLM авторизацию";
$MESS["MAIN_SC_NO_PUSH_STREAM_CONNECTION"] = "Не удалось подключиться к модулю nginx-push-stream отправки мгновенных сообщений";
$MESS["MAIN_SC_NO_PUSH_STREAM_CONNECTION_2"] = "Не удалось подключиться к Push server для отправки мгновенных сообщений";
$MESS["MAIN_SC_NO_SUB_CONNECTION_2"] = "Не удалось подключиться к Push server для чтения мгновенных сообщений";
$MESS["MAIN_SC_PUSH_INCORRECT"] = "Модуль #MODULE# работает некорректно";
$MESS["MAIN_SC_NO_PUSH_STREAM_2"] = "Не настроен Push server в модуле Push and Pull, который необходим для отображения комментариев в живой ленте в реальном режиме времени";
$MESS["MAIN_SC_NO_PUSH_STREAM_VIDEO_2"] = "Не настроен Push server в модуле Push and Pull, который необходим для осуществления видеозвонков";
$MESS["MAIN_SC_NO_EXTERNAL_ACCESS_MOB"] = "Функция недоступна из-за невозможности подключиться к порталу снаружи из мобильного приложения";
$MESS["MAIN_SC_NO_EXTERNAL_ACCESS_"] = "Функция недоступна из-за невозможности подключиться к порталу снаружи";
$MESS["MAIN_SC_NO_EXTRANET_CONNECT"] = "Экстранет не работает корректно т.к. портал не доступен из Интернета";
$MESS["MAIN_SC_NO_WEBDAV_MODULE"] = "Модуль библиотеки документов не установлен";
$MESS["MAIN_SC_METHOD_NOT_SUP"] = "Метод #METHOD# не поддерживается сервером";
$MESS["MAIN_SC_SEARCH_INCORRECT"] = "Индексация по содержимому документов работает некорректно";
$MESS["MAIN_SC_NO_CONNECTTO"] = "Не удалось подключиться к #HOST#";
$MESS["MAIN_SC_UNKNOWN_ANSWER"] = "Неизвестный ответ от сервера #HOST#";
$MESS["MAIN_SC_WARN_EXPAND_SESSION"] = "При наличии модуля мгновенных сообщений необходимо выключить продление сессии при активности в <a href='/bitrix/admin/settings.php?mid=main' target=_blank>настройках</a> главного модуля для снижения нагрузки на сервер.";
$MESS["MAIN_SC_NO_EXTERNAL_CONNECT_WARN"] = "Внешнее подключение к порталу не удалось, мобильное приложение работать не будет";
$MESS["MAIN_SC_EXTERNAL_ANSWER_INCORRECT"] = "Внешнее подключение к порталу удалось, но север вернул некорректный статус ответа";
$MESS["MAIN_SC_NO_PULL_EXTERNAL_2"] = "Внешнее подключение к порталу есть, но нет доступа к порту чтения сообщений у Push server, мгновенные сообщения в мобильном приложении работать не будут.";
$MESS["MAIN_CATDOC_WARN"] = "Ошибочная версия catdoc: #VERSION#<br>
Подробности: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679877<br>
Установите более раннюю версию catdoc или новую версию с исправлением.";
$MESS["MAIN_SC_ENC_EQUAL"] = "Значения mbstring.internal_encoding и default_charset не совпадают. Рекомендуется очистить mbstring.internal_encoding и установить default_charset.";
$MESS["MAIN_SC_ENC_UTF"] = "Значение default_charset должно быть установлено в UTF-8.";
$MESS["MAIN_SC_ENC_NON_UTF"] = "Значение default_charset должно быть установлено в кодировку, отличную от UTF-8.";
$MESS["MAIN_SC_FUNC_OVERLOAD"] = "Используется устаревшая настройка mbstring.func_overload, удалите ее.";
$MESS["MAIN_SC_DEFAULT_CHARSET"] = "Настройка default_charset не должна быть пустой.";
?>